Package ru.bitel.bgbilling.modules.ticket.server.bean

# Class Ticket

java.lang.Object
ru.bitel.bgbilling.modules.ticket.server.bean.Ticket

    public final class Ticket
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Ticket()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getAgentId()` |
  `java.lang.String` | `getAgentTitle()` |
  `int` | `getCid()` |
  `java.lang.String` | `getComment()` |
  `java.lang.String` | `getContractTitle()` |
  `java.util.Date` | `getDate1()` |
  `java.util.Date` | `getDate2()` |
  `java.lang.String` | `getDescription()` |
  `int` | `getId()` |
  `java.lang.String` | `getPin()` |
  `int` | `getStatus()` |
  `java.util.Date` | `getStatusDate()` |
  `java.math.BigDecimal` | `getSumma()` |
  `int` | `getTransId()` |
  `void` | `setAgentId​(int agentId)` |
  `void` | `setAgentTitle​(java.lang.String agentTitle)` |
  `void` | `setCid​(int cid)` |
  `void` | `setComment​(java.lang.String comment)` |
  `void` | `setContractTitle​(java.lang.String contractTitle)` |
  `void` | `setDate1​(java.util.Date date)` |
  `void` | `setDate2​(java.util.Date date)` |
  `void` | `setDescription​(java.lang.String description)` |
  `void` | `setId​(int id)` |
  `void` | `setPin​(java.lang.String pin)` |
  `void` | `setStatus​(int status)` |
  `void` | `setStatusDate​(java.util.Date statusDate)` |
  `void` | `setSumma​(java.math.BigDecimal summa)` |
  `void` | `setTransId​(int transId)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Ticket

    public Ticket()

- ## Method Details

  - ### getComment

    public java.lang.String getComment()

  - ### setComment

    public void setComment​(java.lang.String comment)

  - ### getAgentId

    public int getAgentId()

  - ### setAgentId

    public void setAgentId​(int agentId)

  - ### getCid

    public int getCid()

  - ### setCid

    public void setCid​(int cid)

  - ### getDate1

    public java.util.Date getDate1()

  - ### setDate1

    public void setDate1​(java.util.Date date)

  - ### getDate2

    public java.util.Date getDate2()

  - ### setDate2

    public void setDate2​(java.util.Date date)

  - ### getId

    public int getId()

  - ### setId

    public void setId​(int id)

  - ### getPin

    public java.lang.String getPin()

  - ### setPin

    public void setPin​(java.lang.String pin)

  - ### getStatus

    public int getStatus()

  - ### setStatus

    public void setStatus​(int status)

  - ### getStatusDate

    public java.util.Date getStatusDate()

  - ### setStatusDate

    public void setStatusDate​(java.util.Date statusDate)

  - ### getSumma

    public java.math.BigDecimal getSumma()

  - ### setSumma

    public void setSumma​(java.math.BigDecimal summa)

  - ### getDescription

    public java.lang.String getDescription()

  - ### setDescription

    public void setDescription​(java.lang.String description)

  - ### getAgentTitle

    public java.lang.String getAgentTitle()

  - ### setAgentTitle

    public void setAgentTitle​(java.lang.String agentTitle)

  - ### getTransId

    public int getTransId()

  - ### setTransId

    public void setTransId​(int transId)

  - ### getContractTitle

    public final java.lang.String getContractTitle()

  - ### setContractTitle

    public final void setContractTitle​(java.lang.String contractTitle)